Agents
List the presence status for all agents/admins in an organization.
ApiKeyAuthAuthorization<token>The list of presence status for all agents/admins
application/json- response
[index: integer]?curl -X GET 'https://dev.dixa.io/beta/agents/presence' \ -H 'Authorization: <API token>'Lists all agents/admins in an organization. It is possible to filter by one of the mutually exclusive parameters: email or phone number. In case both are provided, an error is returned.
ApiKeyAuthAuthorization<token>pageLimit?integerMaximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.
int32pageKey?stringBase64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.
email?stringThe agent/admin email filter
phone?stringThe agent/admin phone number filter
The list of agents/admins
application/json- response
data?array<>meta?curl -X GET 'https://dev.dixa.io/beta/agents' \ -H 'Authorization: <API token>'Bulk update agents/admins.
ApiKeyAuth organization.memberAuthorization<token>Scope: organization.member
The list of agent/admin update actions
application/json- body
[index: integer]?The list of update action outcomes
application/json- response
data?array<|>curl -X PUT 'https://dev.dixa.io/beta/agents' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '[ { "id": "434ce9f5-14c8-4be1-a0a8-f755010deb9b", "displayName": "Alice Brown", "phoneNumber": "+551155256325", "additionalEmails": [], "additionalPhoneNumbers": [], "firstName": "Alice", "lastName": "Brown", "middleNames": [], "avatarUrl": "http://avatar.url" }]'Create an agent.
ApiKeyAuth organization.memberAuthorization<token>Scope: organization.member
The agent's details
application/json- body
displayName*stringThe agent's display name
email*stringThe agent's primary email address
phoneNumber?stringThe agent's primary phone number
additionalEmails?array<string>Additional email addresses for the agent
additionalPhoneNumbers?array<string>Additional phone numbers for the agent
firstName?stringThe agent's first name
lastName?stringThe agent's last name
middleNames?array<string>The agent's middle names
avatarUrl?stringThe url from which to load the agent's avatar
The created agent
application/json- response
data*curl -X POST 'https://dev.dixa.io/beta/agents' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "displayName": "Alice Brown", "email": "alice@brown.com", "phoneNumber": "+551155256325", "additionalEmails": [ "alice@secondary.email" ], "additionalPhoneNumbers": [ "+5566778899" ], "firstName": "Alice", "lastName": "Brown", "middleNames": [], "avatarUrl": "http://avatar.url"}'Bulk patch agents/admins.
ApiKeyAuth organization.memberAuthorization<token>Scope: organization.member
List of agent/admin patch actions
application/json- body
[index: integer]?The list of patch action outcomes
application/json- response
data?array<|>curl -X PATCH 'https://dev.dixa.io/beta/agents' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '[ { "id": "434ce9f5-14c8-4be1-a0a8-f755010deb9b", "displayName": "AB", "additionalEmails": [], "additionalPhoneNumbers": [], "middleNames": [] }, { "id": "434ce9f5-14c8-4be1-a0a8-f755010deb9c", "displayName": "JB", "additionalEmails": [], "additionalPhoneNumbers": [], "middleNames": [] }]'List the teams in which the agent/admin is a member.
ApiKeyAuthAuthorization<token>agentId*stringThe agent/admin id
uuidThe list of teams in which the agent/admin is a member
application/json- response
data?array<>curl -X GET 'https://dev.dixa.io/beta/agents/{agentId}/teams' \ -H 'Authorization: <API token>'Get the presence status for an agent/admin.
ApiKeyAuthAuthorization<token>agentId*stringThe agent/admin id
uuidThe agent/admin presence status
application/json- response
data*curl -X GET 'https://dev.dixa.io/beta/agents/{agentId}/presence' \ -H 'Authorization: <API token>'Create agents in bulk.
ApiKeyAuth organization.memberAuthorization<token>Scope: organization.member
The list of agent's details
application/json- body
data?array<>The created agents
application/json- response
data?array<|>curl -X POST 'https://dev.dixa.io/beta/agents/bulk' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "data": [ { "displayName": "Alice Brown", "email": "alice@brown.com", "phoneNumber": "+551155256325", "additionalEmails": [], "additionalPhoneNumbers": [], "firstName": "Alice", "lastName": "Brown", "middleNames": [], "avatarUrl": "http://avatar.url" } ]}'Get an agent/admin by id.
ApiKeyAuthAuthorization<token>agentId*stringThe agent/admin id
uuidThe agent/admin
application/json- response
data*curl -X GET 'https://dev.dixa.io/beta/agents/{agentId}' \ -H 'Authorization: <API token>'Update an agent/admin.
ApiKeyAuth organization.memberAuthorization<token>Scope: organization.member
agentId*stringThe agent id
uuidThe updated details for an agent/admin
application/json- body
displayName*stringThe agent's display name
phoneNumber?stringThe agent's primary phone number
additionalEmails?array<string>Additional email addresses for the agent
additionalPhoneNumbers?array<string>Additional phone numbers for the agent
firstName?stringThe agent's first name
lastName?stringThe agent's last name
middleNames?array<string>The agent's middle names
avatarUrl?stringThe url from which to load the agent's avatar
The updated agent/admin
application/json- response
data*curl -X PUT 'https://dev.dixa.io/beta/agents/{agentId}' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "displayName": "Alice Brown", "phoneNumber": "+551155256325", "additionalEmails": [], "additionalPhoneNumbers": [], "firstName": "Alice", "lastName": "Brown", "middleNames": [ "Julia" ], "avatarUrl": "http://avatar.url"}'Downgrade an agent/admin to become an end user.
ApiKeyAuth organization.memberAuthorization<token>Scope: organization.member
agentId*stringThe agent/admin id
uuidThe agent/admin was successfully downgraded to end user
curl -X DELETE 'https://dev.dixa.io/beta/agents/{agentId}' \ -H 'Authorization: <API token>'Empty
Patch an agent/admin.
ApiKeyAuth organization.memberAuthorization<token>Scope: organization.member
agentId*stringThe agent/admin id
uuidThe agent/admin patch
application/json- body
displayName?stringThe agent's display name
phoneNumber?stringThe agent's primary phone number
additionalEmails?array<string>Additional email addresses for the agent
additionalPhoneNumbers?array<string>Additional phone numbers for the agent
firstName?stringThe agent's first name
lastName?stringThe agent's last name
middleNames?array<string>The agent's middle names
avatarUrl?stringThe url from which to load the agent's avatar
The patched agent/admin
application/json- response
data*curl -X PATCH 'https://dev.dixa.io/beta/agents/{agentId}' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "displayName": "Alice Brown", "additionalEmails": [], "additionalPhoneNumbers": [], "firstName": "Alice", "lastName": "Brown", "middleNames": [], "avatarUrl": "http://avatar.url"}'Updates the working channel of an agent
ApiKeyAuth organization.member.presence.working_mediaAuthorization<token>Scope: organization.member.presence.working_media
agentId*stringThe agent id
uuidThe state of the agent presence channel
application/json- body
channel*stringvalues: [Email, InteractiveChat, Messaging, Speak]
working*booleanThe working channel of the agent was successfully updated
curl -X PUT 'https://dev.dixa.io/beta/agents/{agentId}/presence/working-channel' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "channel": "Speak", "working": false}'Empty